;****************************************************************
; Voice Groups Mixer Channel
;****************************************************************
	instr 8001

iVoiceGroup	= p4		; Voice Group Number

SVoiceGroup_aout1	sprintf "VoiceGroup%d_aout1", iVoiceGroup
SVoiceGroup_aout2	sprintf "VoiceGroup%d_aout2", iVoiceGroup
SVoiceGroup_ReverbSend	sprintf "VoiceGroup%d_ReverbSend", iVoiceGroup
SVoiceGroup_Level	sprintf "VoiceGroup%d_Level", iVoiceGroup

aLeft		chnget 	SVoiceGroup_aout1	; input signal
aRight		chnget	SVoiceGroup_aout2	; input signal

kReverbSend	chnget SVoiceGroup_ReverbSend	; reverb send level for voice group
kLevel		chnget SVoiceGroup_Level	; master level for voice group

;*** remove click caused by any signal excistent in the channels when turning on or off voice group
xtratim		0.5
kfade		linenr	1, 0.5, 0.5, 0.01
; apply fade and level
aLeft		= aLeft * kfade * kLevel
aRight		= aRight * kfade * kLevel


; *** Aux send ***
	amono		= (aLeft + aRight) * 0.5

	aRevbSend	= amono * kReverbSend
	chnmix		aRevbSend, "AuxReverbSend"

; *** Dry out **

	chnmix	aLeft,  "MasterOutLeft"
	chnmix	aRight, "MasterOutRight"

;*** Clear chn ***
	chnclear	SVoiceGroup_aout1
	chnclear	SVoiceGroup_aout2

	endin
;****************************************************************

