
; ******************************************************************************
; midi input handling
; ******************************************************************************
; receive midi data
; initiate instrument events on voice group 1
; transmit midi data to python

	iVoiceGroup	= 1		; midi input hard wired to voice group 1
	instrNum	= 1004		; instrument to play midi notes

	kstatus, kchan, kdata1, kdata2 midiin
;	printk2	kstatus
	if kstatus == 0 kgoto noprint
	printks "midi in note:%d velocity:%d %n", 1, kdata1, kdata2
	noprint:

	if kstatus == 144 kgoto noteon
	if kstatus == 128 kgoto noteoff
	kgoto end

	noteon:
	knum	= kdata1
	kvel	= kdata2
	if kvel == 0 kgoto noteoff
	kinstrNum = instrNum + (kdata1*0.001)	; fractional instrument number, poly voice handling id
	event "i", kinstrNum, 0, -1, iVoiceGroup, knum, kvel
	pycall	"fromCsound.midiNoteInput", knum, kvel
	kgoto end

	noteoff:
	knum	= kdata1
	kvel	= kdata2
	kinstrNum = instrNum + (kdata1*0.001)	; fractional instrument number, poly voice handling id
	event "i", -kinstrNum, 0, 0.1, iVoiceGroup, knum, kvel
	pycall	"fromCsound.midiNoteInputOff", knum
	kgoto end
	
	end:
